Create ticket
curl --request POST \
--url https://api.joinsayless.com/api/v1/tickets/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"content": "<string>",
"preview": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachmentIds": [
"<string>"
],
"conversationIds": [
"<string>"
],
"markdownContent": "<string>",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactIds": [
"<string>"
],
"companyIds": [
"<string>"
],
"dueDate": "2023-11-07T05:31:56Z",
"urlId": "<string>",
"labelIds": [
"<string>"
],
"createInLinear": {},
"linkToExistingLinearIssue": {},
"createInJira": {},
"linkToExistingJiraIssue": {},
"mutationId": "<string>"
}
'import requests
url = "https://api.joinsayless.com/api/v1/tickets/create"
payload = {
"_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"content": "<string>",
"preview": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachmentIds": ["<string>"],
"conversationIds": ["<string>"],
"markdownContent": "<string>",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactIds": ["<string>"],
"companyIds": ["<string>"],
"dueDate": "2023-11-07T05:31:56Z",
"urlId": "<string>",
"labelIds": ["<string>"],
"createInLinear": {},
"linkToExistingLinearIssue": {},
"createInJira": {},
"linkToExistingJiraIssue": {},
"mutationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject: '<string>',
content: '<string>',
preview: '<string>',
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attachmentIds: ['<string>'],
conversationIds: ['<string>'],
markdownContent: '<string>',
assigneeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
teamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contactIds: ['<string>'],
companyIds: ['<string>'],
dueDate: '2023-11-07T05:31:56Z',
urlId: '<string>',
labelIds: ['<string>'],
createInLinear: {},
linkToExistingLinearIssue: {},
createInJira: {},
linkToExistingJiraIssue: {},
mutationId: '<string>'
})
};
fetch('https://api.joinsayless.com/api/v1/tickets/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<unknown>",
"mutationId": "<string>",
"lastSyncId": 123,
"contentLastSyncId": 123,
"syncAckSource": "commit"
}{
"error": {
"type": "<string>",
"message": "<string>",
"userMessage": "<string>",
"fields": {}
},
"statusCode": 123,
"timestamp": "<string>",
"path": "<string>"
}Create ticket
POST
/
api
/
v1
/
tickets
/
create
Create ticket
Authorizations
Personal API key (sl_api_…) or OAuth access token (sl_oat_…)
Headers
Optional. Safe retries for create/send: same key + route + workspace returns the cached success body for 24h. API/OAuth only.
Maximum string length:
256Body
application/json